javax.xml.xpath

## Class XPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.xpath.XPathException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XPathExpressionException, XPathFactoryConfigurationException

      public class XPathException
      extends java.lang.Exception

  `XPathException` represents a generic XPath exception.
  Since:
    1.5
  Version:
    $Revision: 1.2 $, $Date: 2005/06/14 19:19:27 $
  Author:
    Norman Walsh, Jeff Suttor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathException(java.lang.String message)` Constructs a new `XPathException` with the specified detail `message`.
    `XPathException(java.lang.Throwable cause)` Constructs a new `XPathException` with the specified `cause`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`
    `void` | `printStackTrace()`
    `void` | `printStackTrace(java.io.PrintStream s)`
    `void` | `printStackTrace(java.io.PrintWriter s)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathException

          public XPathException(java.lang.String message)

      Constructs a new `XPathException` with the specified detail `message`.

      The `cause` is not initialized.

      If `message` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `message` - The detail message.

    - #### XPathException

          public XPathException(java.lang.Throwable cause)

      Constructs a new `XPathException` with the specified `cause`.

      If `cause` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `cause` - The cause.
      Throws:
        `java.lang.NullPointerException` - if `cause` is `null`.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream s)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace()

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter s)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

Copyright © 2014 Apache XML Project. All Rights Reserved.